Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.util.ipc
Class WrapperStrategy

    java.lang.Object
      ix.util.ipc.WrapperStrategy

All Implemented Interfaces:
  IPC.CommunicationStrategy, ParameterizedCommStrategy

Direct Known Subclasses:
  FilterStrategy, SeparateStrategy, TestStrategy, TracingStrategy

    public class WrapperStrategy

extends java.lang.Object
implements ParameterizedCommStrategy

A communication strategy that is wrapped around another, "inner", strategy.

Field Summary
`(package private) IPC.CommunicationStrategy` | `innerStrategy`

Constructor Summary
`WrapperStrategy()`
`WrapperStrategy(IPC.CommunicationStrategy innerStrategy)`

Method Summary
`IPC.CommunicationStrategy` | `apply(java.lang.String[] args)` Process the arguments in whatever way is appropriate.
`void` | `sendObject(java.lang.Object destination, java.lang.Object contents)`
`void` | `setupServer(java.lang.Object destination, IPC.MessageListener listener)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### innerStrategy

    IPC.CommunicationStrategy innerStrategy

Constructor Detail

### WrapperStrategy

    public WrapperStrategy()

### WrapperStrategy

    public WrapperStrategy(IPC.CommunicationStrategy innerStrategy)

Method Detail

### apply

    public IPC.CommunicationStrategy apply(java.lang.String[] args)

  Description copied from interface: `ParameterizedCommStrategy`
  Process the arguments in whatever way is appropriate. The result is normally the same communication strategy, after whatever changes are caused by processing the arguments.

  Specified by:
    `apply` in interface `ParameterizedCommStrategy`

### sendObject

    public void sendObject(java.lang.Object destination,
                           java.lang.Object contents)

  Specified by:
    `sendObject` in interface `IPC.CommunicationStrategy`

### setupServer

    public void setupServer(java.lang.Object destination,
                            IPC.MessageListener listener)

  Specified by:
    `setupServer` in interface `IPC.CommunicationStrategy`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD